#include <bits/stdc++.h>

using namespace std;

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n, m, k;
    cin >> n >> m >> k;
    if (n % k != 0 && m % k != 0){
        cout << (m / k + 1) * (n / k + 1);
    } else if (n % k != 0 && m % k == 0){
        cout << (m / k + 1) * (n / k);
    } else if (n % k == 0 && m % k != 0){
        cout << (m / k) * (n / k + 1);
    } else {
        cout << (m / k) * (n / k);
    }
}
